$(function ()
{
	$('#captureBtn').bind('fasttap', function () 
	{
		var cbSuccess = function (imageData)
		{
			switch ($('#selectDestinationType').val())	 
			{
				case 'DATA_URL':
					$('#capturedImg').attr('src', "data:image/jpeg;base64," + imageData);
				break;
				case 'FILE_URI':
					$('#capturedImg').attr('src', imageData);
				break;
			}		
		};
		
		var cbFail = function (message)
		{
			alert('capture failed -' + message);
		};
		
		if (conduitApi.platform.camera.isSupported()) 
		{
			// capture image
			conduitApi.platform.camera.captureImage(
				cbSuccess, 
				cbFail,
				{ 
					quality : +$('#txtQuality').val(), 
					destinationType : conduitApi.platform.camera.DestinationType[$('#selectDestinationType').val()],
					sourceType : conduitApi.platform.camera.PictureSourceType[$('#selectSourceType').val()],
					allowEdit : $('#checkBoxAllowEdit').is(':checked')
				}
				);
		}
		else 
		{
			alert('Camera not supported');
		}
	});
});

