$(function ()
{
	$('#getValue').bind('fasttap', function () 
	{
		if (conduitApi.platform.storage.isSupported()) 
		{
			conduitApi.platform.storage.getItem(
				function (value) 
				{
					$('#txtGetValue').val(value);				
				},
				function () 
				{
					$('#txtGetValue').val('get item failed');				
				},
				$('#txtGetKey').val());
		} 
		else 
		{
			alert('Storage not supported');
		}
	});

	$('#setValue').bind('fasttap', function () 
	{
		if (conduitApi.platform.storage.isSupported()) 
		{
			// perform vibration
			conduitApi.platform.storage.setItem(
				function () 
				{
					alert('key stored');
				},
				function () 
				{
					alert('failed to store key');
				},
				$('#txtSetKey').val(),
				$('#txtSetValue').val()
				);
		} 
		else 
		{
			alert('Storage not supported');
		}
	});

	$('#removeKey').bind('fasttap', function () 
	{
		if (conduitApi.platform.storage.isSupported()) 
		{
			// perform vibration
			conduitApi.platform.storage.removeItem(
			function () 
			{
				alert('Key removed');
			},
			function () 
			{
				alert('Failed to remove key');
			},
			$('#txtRemoveKey').val());
		} 
		else 
		{
			alert('Storage not supported');
		}
	});

	$('#clearStorage').bind('fasttap', function () 
	{
		if (conduitApi.platform.storage.isSupported()) 
		{
			// perform vibration
			conduitApi.platform.storage.clearStorage(
			function () 
			{
				alert('Storage cleared');
			},
			function () 
			{
				alert('Failed to clear storage');
			});
		} 
		else 
		{
			alert('Storage not supported');
		}
	});
});

