
var dismissActivityIndicator = function () 
{
	conduitApi.UI.dismissActivityIndicator(function () {}, function () {});
};

$(function ()
{
	$('#showActivityIndicatorBtn').bind('fasttap', function () 
	{
		var cbSuccess = function () {};
		
		var cbFail = function ()
		{
			alert('show failed');
		};
		
		if (conduitApi.UI.isSupported()) 
		{
			// show activity indicator.
		    conduitApi.UI.showActivityIndicator(function () { }, function () { }, 'loading...');
			setTimeout('dismissActivityIndicator()', +$('#txtAITimeOut').val());
		} 
		else 
		{
			alert('UI not supported');
		}
	});

	$('#showDialogBoxBtn').bind('fasttap', function () 
	{
		if (conduitApi.UI.isSupported()) 
		{
			// show activity indicator.
			conduitApi.UI.showDialogBox(
				function () {}, function () {},
				{
					title:'Title',
					message: 'This is the message of the dialog box.\nYou can put what you want here.',
					buttons: 
					[
						{
							text: 'OK',
							cb: function () 
							{
								alert('OK pressed');
							}
						},
						{
							text: 'Cancel',
							cb: function () 
							{
								alert('Cancel pressed');
							}
						}
					]
				});
		} 
		else 
		{
			alert('UI not supported');
		}
	});


});

